Bug 169853 - [NEW PORT] databases/py-htsql-mysql: MySQL backend for HTSQL
Summary: [NEW PORT] databases/py-htsql-mysql: MySQL backend for HTSQL
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Nicola Vitale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-14 13:00 UTC by koobs
Modified: 2012-07-23 14:00 UTC (History)
0 users

See Also:


Attachments
.shar (5.14 KB, text/plain)
2012-07-14 13:00 UTC, koobs
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description koobs 2012-07-14 13:00:09 UTC
HTSQL ("Hyper Text Structured Query Language") is a high-level query
language for relational databases. The target audience for HTSQL is the
accidental programmer -- one who is not a SQL expert, yet needs a usable,
comprehensive query tool for data access and reporting.

This port provides the MySQL backend to HTSQL

WWW:	http://htsql.org/

RedPorts Log: https://redports.org/buildarchive/20120714112050-51475/

Generated with FreeBSD Port Tools 0.99_6 (mode: new)
Comment 1 Edwin Groothuis freebsd_committer 2012-07-14 13:00:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Nicola Vitale freebsd_committer 2012-07-21 17:05:21 UTC
Responsible Changed
From-To: freebsd-python->nivit

I will take it.
Comment 3 dfilter service freebsd_committer 2012-07-23 13:52:35 UTC
Author: nivit
Date: Mon Jul 23 12:52:24 2012
New Revision: 301391
URL: http://svn.freebsd.org/changeset/ports/301391

Log:
  HTSQL ("Hyper Text Structured Query Language") is a high-level query
  language for relational databases. The target audience for HTSQL is the
  accidental programmer -- one who is not a SQL expert, yet needs a usable,
  comprehensive query tool for data access and reporting.
  
  This port provides the MySQL backend to HTSQL
  
  WWW:	http://htsql.org/
  
  RedPorts Log:	https://redports.org/buildarchive/20120714112050-51475/
  
  PR:		ports/169853
  Submitted by:	koobs <koobs.freebsd@gmail.com>

Added:
  head/databases/py-htsql-mysql/
  head/databases/py-htsql-mysql/Makefile   (contents, props changed)
  head/databases/py-htsql-mysql/distinfo   (contents, props changed)
  head/databases/py-htsql-mysql/pkg-descr   (contents, props changed)
  head/databases/py-htsql-mysql/pkg-plist   (contents, props changed)
Modified:
  head/databases/Makefile

Modified: head/databases/Makefile
==============================================================================
--- head/databases/Makefile	Mon Jul 23 12:46:31 2012	(r301390)
+++ head/databases/Makefile	Mon Jul 23 12:52:24 2012	(r301391)
@@ -696,6 +696,7 @@
     SUBDIR += py-gdbm
     SUBDIR += py-hiredis
     SUBDIR += py-htsql
+    SUBDIR += py-htsql-mysql
     SUBDIR += py-htsql-pgsql
     SUBDIR += py-kyotocabinet
     SUBDIR += py-leveldb

Added: head/databases/py-htsql-mysql/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/py-htsql-mysql/Makefile	Mon Jul 23 12:52:24 2012	(r301391)
@@ -0,0 +1,25 @@
+# New ports collection makefile for:	py-htsql-mysql
+# Date created:		2012-06-16
+# Whom:			koobs <koobs.freebsd@gmail.com>
+#
+# $FreeBSD$
+#
+
+PORTNAME=	htsql-mysql
+PORTVERSION=	2.3.1
+CATEGORIES=	databases python
+MASTER_SITES=	CHEESESHOP
+PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
+DISTNAME=	${PORTNAME:U}-${PORTVERSION}
+
+MAINTAINER=	koobs.freebsd@gmail.com
+COMMENT=	MySQL backend for HTSQL
+
+RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}htsql>2.3:${PORTSDIR}/databases/py-htsql \
+		${PYTHON_PKGNAMEPREFIX}MySQLdb>0:${PORTSDIR}/databases/py-MySQLdb
+
+USE_PYTHON=	2.6-2.7
+USE_PYDISTUTILS=	easy_install
+PYDISTUTILS_PKGNAME=	${PORTNAME:U}
+
+.include <bsd.port.mk>

Added: head/databases/py-htsql-mysql/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/py-htsql-mysql/distinfo	Mon Jul 23 12:52:24 2012	(r301391)
@@ -0,0 +1,2 @@
+SHA256 (HTSQL-MYSQL-2.3.1.tar.gz) = 9c4b4b9e97a79842ec129263d9ef524d4709c99d5a6fbc132e6a9489b0fe346b
+SIZE (HTSQL-MYSQL-2.3.1.tar.gz) = 15161

Added: head/databases/py-htsql-mysql/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/py-htsql-mysql/pkg-descr	Mon Jul 23 12:52:24 2012	(r301391)
@@ -0,0 +1,8 @@
+HTSQL ("Hyper Text Structured Query Language") is a high-level query
+language for relational databases. The target audience for HTSQL is the
+accidental programmer -- one who is not a SQL expert, yet needs a usable,
+comprehensive query tool for data access and reporting.
+
+This port provides the MySQL backend to HTSQL
+
+WWW:	http://htsql.org/

Added: head/databases/py-htsql-mysql/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/py-htsql-mysql/pkg-plist	Mon Jul 23 12:52:24 2012	(r301391)
@@ -0,0 +1,43 @@
+@comment $FreeBSD$
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/PKG-INFO
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/SOURCES.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/dependency_links.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/entry_points.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/not-zip-safe
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/requires.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/top_level.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/htsql_mysql/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/htsql_mysql/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/htsql_mysql/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/htsql_mysql/core/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/htsql_mysql/core/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/htsql_mysql/core/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/htsql_mysql/core/connect.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/htsql_mysql/core/connect.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/htsql_mysql/core/connect.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/htsql_mysql/core/introspect.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/htsql_mysql/core/introspect.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/htsql_mysql/core/introspect.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/htsql_mysql/core/split_sql.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/htsql_mysql/core/split_sql.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/htsql_mysql/core/split_sql.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/htsql_mysql/core/tr/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/htsql_mysql/core/tr/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/htsql_mysql/core/tr/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/htsql_mysql/core/tr/compile.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/htsql_mysql/core/tr/compile.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/htsql_mysql/core/tr/compile.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/htsql_mysql/core/tr/dump.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/htsql_mysql/core/tr/dump.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/htsql_mysql/core/tr/dump.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/htsql_mysql/core/tr/reduce.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/htsql_mysql/core/tr/reduce.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/htsql_mysql/core/tr/reduce.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/htsql_mysql/core/tr/signature.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/htsql_mysql/core/tr/signature.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/htsql_mysql/core/tr/signature.pyo
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/htsql_mysql/core/tr
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/htsql_mysql/core
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/htsql_mysql
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Nicola Vitale freebsd_committer 2012-07-23 13:52:58 UTC
State Changed
From-To: open->closed

New port added. Thanks!